Subject: Re: How to set full control to Everyone on USB hard drive files and directories?
From: Frédéric Bron <[email-masked]>
To: cygwin <[email-masked]>
Date: Sun, 11 Apr 2010 22:00:34 +0200
List-Id: <cygwin.cygwin.com>

> I have tried that in /etc/fstab:
> f:/ /mnt/f cygdrive noacl,nouser,binary,notexec
> g:/ /mnt/g cygdrive noacl,nouser,binary,notexec
> h:/ /mnt/h cygdrive noacl,nouser,binary,notexec
> i:/ /mnt/i cygdrive noacl,nouser,binary,notexec

OK I found the problem:
1) to reload fstab, close all cygwin processes, including X,
2) cygdrive should not be called multiple times in fstab. The right
fstab file is:
none /cygdrive cygdrive binary,posix=0,user 0 0
f:/ /mnt/f ntfs noacl,nouser,binary
g:/ /mnt/g ntfs noacl,nouser,binary
h:/ /mnt/h ntfs noacl,nouser,binary
i:/ /mnt/i ntfs noacl,nouser,binary

It seems that no error is output if the usb disks are not present and
that they are auto-mounted when plugged in later.
Also it seems it does what I wanted: permissions are just inherited
from parent root dir.

Thanks,

Frédéric

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple